Summary: Free Japanese TrueType fonts (mincho & gothic)
%define name fonts-ttf-japanese
%define version 0.19990222
%define release 7mdk

Summary: Free Japanese TrueType fonts (mincho & gothic)
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: Distributable
URL: http://www.linux.or.jp/~ishikawa/linux/X-TT/
Group: System/Fonts/True type
Source0: http://www.linux.or.jp/~ishikawa/linux/dists/FreeType/xtt-fonts_0.19990222-3.tar.bz2
Source1: %{name}-fonts.dir.bz2
Source2: %{name}-fonts.alias.bz2
#Distribution: Japanese RPM(JRPM)
#Vendor: Linux Japanese RPM Project
#Packager: INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
BuildArch: noarch
BuildRoot: /var/tmp/%{name}
Obsoletes: xtt-fonts
Prereq: /usr/sbin/chkfontpath

%description
This Package provides Free Japanese TrueType fonts (Watanabe mincho &
Wada Lab. gothic) and fonts.{dir,aliases} for X-TT

%description -l ja
ӻ(ishikawa@linux.or.jp)ե꡼δեȤǤī
ĸѥåפcb2ttjˤäTrueTypeեȤˤ

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n xtt-fonts-%{version}

%build

%install
install -d $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/japanese
install -m 0644 *.ttf $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/japanese
bzcat %{SOURCE1} \
	| sed 's/^\(.*\):\([^:]*\)$/\2/' \
	> $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/japanese/fonts.dir
cp $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/japanese/fonts.dir \
	$RPM_BUILD_ROOT%{_datadir}/fonts/ttf/japanese/fonts.scale
bzcat %{SOURCE2} \
	| sed 's/^\(.*\):\([^:]*\)$/\2/' \
	> $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/japanese/fonts.aliases

ln -s /etc/X11/encodings.dir \
        $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/japanese/encodings.dir

echo -n "\

As these fonts are True Type catalogs and need special info in
the fonts.dir that ttmkfdir doesn't yet create automatically;
it is better you don't change it; use another directory for
your manually added japanese fonts
" > $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/japanese/README

%post
if [ -x /usr/sbin/chkfontpath ]; then
   /usr/sbin/chkfontpath -q -a %{_datadir}/fonts/ttf/japanese
else
   echo "you don't have a chkfontpath utility; you will need to manually"
   echo "install the fonts into your TTF enabled font server"
fi

%postun
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   [ -x /usr/sbin/chkfontpath ] && \
   /usr/sbin/chkfontpath -q -r %{_datadir}/fonts/ttf/japanese
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc *README* fonts.* debian/{changelog,copyright}
%dir %{_datadir}/fonts/ttf/japanese
%{_datadir}/fonts/ttf/japanese/README
%{_datadir}/fonts/ttf/japanese/watanabe-mincho.ttf
%{_datadir}/fonts/ttf/japanese/wadalab-gothic.ttf
%{_datadir}/fonts/ttf/japanese/encodings.dir
%config %{_datadir}/fonts/ttf/japanese/fonts.aliases
%config %{_datadir}/fonts/ttf/japanese/fonts.dir
%config %{_datadir}/fonts/ttf/japanese/fonts.scale

%changelog
* Fri Mar 23 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.19990222-7mdk
- removed useless stuff in %%post

* Wed Sep 06 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.19990222-6mdk
- adapted for the xfs in XFree86 4

* Wed Jul  5 2000 dam's <damien@mandrakesoft.com> 0.19990222-5mdk
- mandrake release.

* Thu Apr 20 2000 Vincent Saugey <vince@mandrakesoft.com> 0.19990222-4mdk
- Fixed group

* Wed Mar 22 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.19990222-3mdk
- make %post/%postun more robust
- new Groups: naming
- removed *.tti, which are now obsolete

* Wed Jan  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.19990222-2mdk
- add depency on chkfontpath.

* Wed Aug 25 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- adapted to Mandrake
- make %post scripts to automatically make them available
  or disabled from font server.

* Wed Mar 31 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- chage TrueType fonts' directory name from truetype to TrueType

* Wed Feb 24 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- [0.19990222]

* Thu Feb 18 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- make suitable fonts.dir/fonts.alias

* Thu Dec 24 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- stop addinf FontPath to XF86Config

* Thu Dec 17 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- add buildarch tag

* Sat Dec 12 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- including ttindex files

* Thu Dec 10 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- First Build
